Skip to main content
POST
/
discussion
/
v1
/
comments
Create a comment for a thread or for an entity reference
curl --request POST \
  --url https://api-{region}.sesametime.com/discussion/v1/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "comment": "<string>",
  "entityReference": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "planned_task"
  },
  "commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api-{region}.sesametime.com/discussion/v1/comments"

payload = {
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"entityReference": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "planned_task"
},
"commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>',
entityReference: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', type: 'planned_task'},
commentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api-{region}.sesametime.com/discussion/v1/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Comment object that needs to be created

authorId
string<uuid>
required

The id of the employee who creates the comment

comment
string
required

The text of the comment

entityReference
object
required
commentId
string<uuid>

The id for the comment, if not provided, it will be generated automatically

Response

200 - application/json

Object

id
string<uuid>